
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>ASP漏洞解析及黑客防范法 / iVAN</title>

    <meta name="description" content="ASP漏洞解析及黑客防范法     如何更好的达到防范黑客攻击,本人提一下个人意见!第一,免费程序不要真的就免费用,既然你可以共享原码,那么攻击者一样可以分析代码.如果在细节上注意防范,那样你站点的安全性就大大的提高了.即使出现了SQL Injection这样的漏洞,攻击者也不可能马上拿下你的站点. 由于ASP的方便易用,越来越多的网站后台程序都使用ASP脚本语言.但是, 由于ASP本身存在一些安全漏洞,稍不小心就会给黑客提供可乘之机.事实上,安全不仅是网管的事,编程人员也必须在某些安全细节上注意,养成良好的安全习惯,否则">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">ASP漏洞解析及黑客防范法</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>    如何更好的达到防范黑客攻击，本人提一下个人意见！第一，免费程序不要真的就免费用，既然你可以共享原码，那么攻击者一样可以分析代码。如果在细节上注意防范，那样你站点的安全性就大大的提高了。即使出现了SQL Injection这样的漏洞，攻击者也不可能马上拿下你的站点。 <br />　由于ASP的方便易用，越来越多的网站后台程序都使用ASP脚本语言。但是， 由于ASP本身存在一些安全漏洞，稍不小心就会给黑客提供可乘之机。事实上，安全不仅是网管的事，编程人员也必须在某些安全细节上注意，养成良好的安全习惯，否则会给自己的网站带来巨大的安全隐患。目前，大多数网站上的ASP程序有这样那样的安全漏洞，但如果编写程序的时候注意一点的话，还是可以避免的。</p>
<p>　<strong>1、用户名与口令被破解<br /></strong>　攻击原理：用户名与口令，往往是黑客们最感兴趣的东西，如果被通过某种方式看到源代码，后果是严重的。</p>
<p>　防范技巧：涉及用户名与口令的程序最好封装在服务器端，尽量少在ASP文件里出现，涉及与数据库连接的用户名与口令应给予最小的权限。出现次数多的用户名与口令可以写在一个位置比较隐蔽的包含文件中。如果涉及与数据库连接，在理想状态下只给它以执行存储过程的权限，千万不要直接给予该用户修改、插入、删除记录的权限。</p>
<p>　<strong>2、验证被绕过</strong><br />　攻击原理：现在需要经过验证的ASP程序大多是在页面头部加一个判断语句，但这还不够，有可能被黑客绕过验证直接进入。</p>
<p>　防范技巧：需要经过验证的ASP页面，可跟踪上一个页面的文件名，只有从上一页面转进来的会话才能读取这个页面。</p>
<p>　<strong>3、inc文件泄露问题</strong><br />　攻击原理：当存在ASP的主页正在制作且没有进行最后调试完成以前，可以被某些搜索引擎机动追加为搜索对象。如果这时候有人利用搜索引擎对这些网页进行查找，会得到有关文件的定位，并能在浏览器中查看到数据库地点和结构的细节，并以此揭示完整的源代码。</p>
<p>　防范技巧：程序员应该在网页发布前对它进行彻底的调试；安全专家则需要加固ASP文件以便外部的用户不能看到它们。首先对.inc文件内容进行加密，其次也可以使用.asp文件代替.inc文件使用户无法从浏览器直接观看文件的源代码。inc文件的文件名不要使用系统默认的或者有特殊含义容易被用户猜测到的名称，尽量使用无规则的英文字母。</p>
<p>　<strong>4、自动备份被下载</strong><br />　攻击原理：在有些编辑ASP程序的工具中，当创建或者修改一个ASP文件时，编辑器自动创建一个备份文件，比如：UltraEdit就会备份一个.bak文件，如你创建或者修改了some.asp，编辑器会自动生成一个叫some.asp.bak文件，如果你没有删除这个bak文件，攻击者可以直接下载some.asp.bak文件，这样some.asp的源程序就会被下载。</p>
<p>　防范技巧：上传程序之前要仔细检查，删除不必要的文档。对以BAK为后缀的文件要特别小心。</p>
<p>　<strong>5、特殊字符</strong><br />　攻击原理：输入框是黑客利用的一个目标，他们可以通过输入脚本语言等对用户客户端造成损坏；如果该输入框涉及数据查询，他们会利用特殊查询语句，得到更多的数据库数据，甚至表的全部。因此必须对输入框进行过滤。但如果为了提高效率仅在客户端进行输入合法性检查，仍有可能被绕过。</p>
<p>　防范技巧：在处理类似留言板、BBS等输入框的ASP程序中，最好屏蔽掉HTML、JavaScript、VBScript语句，如无特殊要求，可以限定只允许输入字母与数字，屏蔽掉特殊字符。同时对输入字符的长度进行限制。而且不但要在客户端进行输入合法性检查，同时要在服务器端程序中进行类似检查。</p>
<p>　<strong>6、数据库下载漏洞<br /></strong>　攻击原理：在用Access做后台数据库时，如果有人通过各种方法知道或者猜到了服务器的Access数据库的路径和数据库名称，那么他也能够下载这个Access数据库文件，这是非常危险的。</p>
<p>　防范技巧：<br />　（1）为你的数据库文件名称起个复杂的非常规的名字，并把它放在几层目录下。所谓 “非常规”， 打个比方说，比如有个数据库要保存的是有关书籍的信息， 可不要给它起个“book.mdb”的名字，而要起个怪怪的名称，比如d34ksfslf.mdb， 并把它放在如./kdslf/i44/studi/的几层目录下，这样黑客要想通过猜的方式得到你的Access数据库文件就难上加难了。</p>
<p>　（2）不要把数据库名写在程序中。有些人喜欢把DSN写在程序中，比如：</p>
<p>　　DBPath = Server.MapPath（“cmddb.mdb”）<br />　　conn.Open “driver={Microsoft Access Driver （*.mdb）}；dbq=” &amp; DBPath</p>
<p>　假如万一给人拿到了源程序，你的Access数据库的名字就一览无余了。因此建议你在ODBC里设置数据源，再在程序中这样写：</p>
<p>　　conn.open“shujiyuan”</p>
<p>　（3）使用Access来为数据库文件编码及加密。首先在“工具→安全→加密/解密数据库”中选取数据库（如：employer.mdb），然后按确定，接着会出现“数据库加密后另存为”的窗口，可存为：“employer1.mdb”。</p>
<p>　要注意的是，以上的动作并不是对数据库设置密码，而只是对数据库文件加以编码，目的是为了防止他人使用别的工具来查看数据库文件的内容。</p>
<p>　接下来我们为数据库加密，首先打开经过编码了的 employer1.mdb，在打开时，选择“独占”方式。然后选取功能表的“工具→安全→设置数据库密码”，接着输入密码即可。这样即使他人得到了employer1.mdb文件，没有密码他也是无法看到 employer1.mdb中的内容。</p>
<p>　<strong>7、防范远程注入攻击</strong> <br />　　这类攻击在以前应该是比较常见的攻击方式,比如POST攻击,攻击者可以随便的改变要提交的数据值已达到攻击目的.又如:COOKIES 的伪造,这一点更值得引起程序编写者或站长的注意，不要使用COOKIES来做为用户验证的方式,否则你和把钥匙留给贼是同一个道理.</p>
<p>　　比如:</p>
<p>　　If trim(Request. cookies ("uname"))="fqy" and Request.cookies("upwd") =”fqy#e3i5.com” then <br />　　……..more……… <br />　　End if</p>
<p>　我想各位站长或者是喜好写程序的朋友千万别出这类错误,真的是不可饶恕.伪造COOKIES 都多少年了，你还用这样的就不能怪别人跑你的密码.涉及到用户密码或者是用户登陆时,你最好使用session 它才是最安全的.如果要使用COOKIES就在你的COOKIES上多加一个信息,SessionID,它的随机值是64位的,要猜解它,不可能.例:</p>
<p>　　if not (rs.BOF or rs.eof) then <br />　　login="true" <br />　　Session("username"&amp;sessionID) = Username <br />　　Session("password"&amp; sessionID) = Password <br />　　‘Response.cookies(“username”)= Username <br />　　‘Response.cookies(“Password”)= Password</p>
<p>　下面我们来谈谈如何防范远程注入攻击,一般的攻击都是将单表提交文件拖到本地,将Form ACTION=”chk.asp” 指向你服务器中处理数据的文件即可.如果你全部的数据过滤都在单表页上，那么恭喜你，你将已经被脚本攻击了.</p>
<p>　怎么才能制止这样的远程攻击?好办,请看代码如下: 程序体(9)</p>
<p>　　＜% <br />　　server_v1=Cstr(Request.ServerVariables("HTTP_REFERER")) <br />　　server_v2=Cstr(Request.ServerVariables("SERVER_NAME")) <br />　　if mid(server_v1,8,len(server_v2))＜＞server_v2 then <br />　　response.write "＜br＞＜br＞＜center&gt;" <br />　　response.write " " <br />　　response.write "你提交的路径有误，禁止从站点外部提交数据请不要乱改参数！" <br />　　response.write "</p>
<p>" <br />　　response.end <br />　　end if <br />　　%&gt;</p>
<p>‘个人感觉上面的代码过滤不是很好，有一些外部提交竟然还能堂堂正正的进来,于是再写一个.</p>
<p>　‘这个是过滤效果很好,建议使用.</p>
<p>　if instr(request.servervariables("http_referer"),"http://"&amp;request.servervariables("host") )&lt;1 then response.write "处理 URL 时服务器上出错。<br />    如果您是在用任何手段攻击服务器，那你应该庆幸，你的所有操作已经被服务器记录，我们会第一时间通知公安局与国家安全部门来调查你的IP. " <br />　　response.end <br />　　end if</p>
<p>　　程序体(9)</p>
<p>　本以为这样就万事大吉了，在表格页上加一些限制,比如maxlength啦,等等..但天公就是那么不作美,你越怕什么他越来什么.你别忘了,攻击者可以突破sql注入攻击时输入框长度的限制.写一个SOCKET程序改变HTTP_REFERER？我不会。网上发表了这样一篇文章：</p>
<p>　　------------len.reg----------------- <br />　　Windows Registry Editor Version 5.00 <br />　　[HKEY_CURRENT_USER\Software\Microsoft\Internet Explorer\MenuExt\扩展(&amp;E)] <br />　　@="C:\Documents and Settings\Administrator\桌面\len.htm" <br />　　"contexts"=dword:00000004 <br />　　-----------end---------------------- <br />　　-----------len.htm------------------ <br />　　 <br />　　----------end---------------------</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-15 11:13:49</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e8%be%93%e5%85%a5/" title="输入">输入</a>, <a href="https://www.iamivan.net/tag/%e6%96%87%e4%bb%b6/" title="文件">文件</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%ba%93/" title="数据库">数据库</a>, <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/%e7%a8%8b%e5%ba%8f/" title="程序">程序</a>, <a href="https://www.iamivan.net/tag/%e6%94%bb%e5%87%bb/" title="攻击">攻击</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>ASP漏洞解析及黑客防范法的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/yMAn1Kp.html" rel="bookmark">ASP程序漏洞解析及黑客入侵防范方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				程序 如何更好的达到防范黑客攻击,本人提一下个人意见!第一,免费程序不要真的就免费用,既然你可以共享原码,那么攻击者一样可以分析代码.如果在细节上注意防范,那样你站点的安全性就大大的提高了.即使出现了SQL Injection这样的漏洞,攻击者也不可能马上拿下你的站点. 由于ASP的方便易用,越来越多的网站后台程序都使用ASP脚本语言.但是, 由于ASP本身存在一些安全漏洞,稍不小心就会给黑客提供可乘之机.事实上,安全不仅是网管的事,编程人员也必须在某些安全细节上注意,养成良好的安全习惯,否则会			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/rz4a9rb.html" rel="bookmark">推荐&colon;ASP网站漏洞解析及黑客入侵防范方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如何更好的达到防范黑客攻击,本人提一下个人意见!第一,免费程序不要真的就免费用,既然你可以共享原码,那么攻击者一样可以分析代码.如果在细节上注意防范,那样你站点的安全性就大大的提高了.即使出现了SQL Injection这样的漏洞,攻击者也不可能马上拿下你的站点. 由于ASP的方便易用,越来越多的网站后台程序都使用ASP脚本语言.但是, 由于ASP本身存在一些安全漏洞,稍不小心就会给黑客提供可乘之机.事实上,安全不仅是网管的事,编程人员也必须在某些安全细节上注意,养成良好的安全习惯,否则会给自己			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/xp8KllM.html" rel="bookmark">ASP网站漏洞解析及黑客入侵防范方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				作者:pizzaviat来源:第八军团 如何更好的达到防范黑客攻击,本人提一下个人意见!第一,免费程序不要真的就免费用,既然你可以共享原码,那么攻击者一样可以分析代码.如果在细节上注意防范,那样你站点的安全性就大大的提高了.即使出现了SQL Injection这样的漏洞,攻击者也不可能马上拿下你的站点.  由于ASP的方便易用,越来越多的网站后台程序都使用ASP脚本语言.但是, 由于ASP本身存在一些安全漏洞,稍不小心就会给黑客提供可乘之机.事实上,安全不仅是网管的事,编程人员也必须在某些安全细			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/vMNdJ7z.html" rel="bookmark">ASP网站漏洞解析及入侵防范方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如何更好的达到防范黑客攻击,本人提一下个人意见!第一,免费程序不要真的就免费用,既然你可以共享原码,那么攻击者一样可以分析代码.如果在细节上注意防范,那样你站点的安全性就大大的提高了.即使出现了SQL Injection这样的漏洞,攻击者也不可能马上拿下你的站点. 由于ASP的方便易用,越来越多的网站后台程序都使用ASP脚本语言.但是, 由于ASP本身存在一些安全漏洞,稍不小心就会给黑客提供可乘之机.事实上,安全不仅是网管的事,编程人员也必须在某些安全细节上注意,养成良好的安全习惯,否则会给自己			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/VMrmvWb.html" rel="bookmark">ASP漏洞分析和解决方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				解决 ASP漏洞分析和解决方法 有人说一台不和外面联系的电脑是最安全的电脑,一个关闭所有端口,不提供任何服务的电脑也是最安全的.黑客经常利用我 们所开放的端口实施攻击,这些攻击最常见的是DDOS(拒绝服务攻击).下面我会列出ASP的二十几个漏洞,每个漏洞都会有漏洞描 述和解决方法. 1 在ASP程序后加个特殊符号,能看到ASP源程序 受影响的版本: win95+pws IIS3.0 98+pws4 不存在这个漏洞. IIS4.0以上的版本也不存在这个漏洞. 问题描述: 这些特殊符号包括小数点,%			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/0zGevEM.html" rel="bookmark">ASP漏洞及安全建议</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				安全 ASP漏洞及安全建议 ( 小 鸟 ) 一 前言 Microsoft Active Server Pages(ASP)是服务器端脚本编写环境,使用它可以创建和运行动态.交互的 Web 服务器应用程序.使用 ASP 可以组合 HTML 页 .脚本命令和 ActiveX 组件以创建交互的 Web 页和基于 Web 的功能强大的应用程序. 现在很多网站特别是电子商务方面的网站,在前台上大都用ASP来实现.以至于现在ASP在网站应用上很普遍. ASP是开发网站应用的快速工具,但是有些网站管理员只看到			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/2MWyWnz.html" rel="bookmark">ASP漏洞大全</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ASP漏洞大全 (www.Jojoo.net) 2002-10-22 (请双击自动滚屏观看,单击停止,再击..) Microsoft Active Server Pages(ASP)是服务器端脚本编写环境,使用它可以创建和运行动态.交互的 Web 服务器应用程序.使用 ASP 可以组合 HTML 页 .脚本命令和 ActiveX 组件以创建交互的 Web 页和基于 Web 的功能强大的应用程序. 现在很多网站特别是电子商务方面的网站,在前台上大都用ASP来实现.以至于现在ASP在网站应用上很普遍			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/jbEenJb.html" rel="bookmark">第十八篇 堵住ASP漏洞</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				无论你相不相信,通过 asp,可能可以很方便地入侵 web server.窃取服务器上的文件.捕获 web 数据库等系统的用户口令,甚至恶意删除服务器上的的文件,直至造成系统损坏,这些都决非耸人听闻,而且都确确实实发生过,本文将向你一一揭示这些 asp 存在的漏洞,并提出一些防范意见. 上一篇中给大家着重谈了&quot;ADO 存取数据库时如何分页显示&quot;的问题,有位朋友来信给我指出我在计算页面总数时忽略了 Recordset 对象的一个重要参数&quot;PageCount&quot;,它能在给			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/yMABPAp.html" rel="bookmark">第十八课&colon;堵住ASP漏洞</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				无论你相不相信,通过 asp,可能可以很方便地入侵 web server.窃取服务器上的文件.捕获 web 数据库等系统的用户口令,甚至恶意删除服务器上的的文件,直至造成系统损坏,这些都决非耸人听闻,而且都确确实实发生过,本文将向你一一揭示这些 asp 存在的漏洞,并提出一些防范意见. 上一篇中给大家着重谈了&quot;ADO 存取数据库时如何分页显示&quot;的问题,有位朋友来信给我指出我在计算页面总数时忽略了 Recordset 对象的一个重要参数&quot;PageCount&quot;,它能在给			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Nz7ZP4p.html" rel="bookmark" class="title">如何做一个简单的小网站</a>
					<div>
						如何做一个简单的小网站,请注意:拥有域名不代表你就有了网站.做之前要想一下,网站用来干什么?静态的还是动态的,自己至少要懂一点代码知识,不懂程序的话,也要对html多少了解一些. 不然,我建议你还是到 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LzJmy2p.html" rel="bookmark" class="title">QMAIL&plus;MH设计方案&lpar;7&rpar;</a>
					<div>
						设计 以下的的rc.config文件装载了初始化的必要组元. #!/bin/bash # This is adapted Bernhard Hailers old script LOCAL_NUMBE ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9zelJ8p.html" rel="bookmark" class="title">在ACCESS 中调用后台存储过程</a>
					<div>
						access|存储过程|后台 ACCESS是一个Client/Server的优秀前端开发工具,具有易学易用,界面友好,开发简单,和其他数据库接口灵活.但是,它要对大量数据处理时,速度比较慢.深圳供电局 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0boXNvM.html" rel="bookmark" class="title">四种打造高质量的链接诱饵的方式</a>
					<div>
						随着百度算法的更新以及各个平台对外链的讳莫如深,我们想很轻易的获得外链已经是很难的了,而做SEO,外链的作用是大家有目共睹的,而高质量的外链更是难得.如果单靠在论坛发帖.回帖.做签名.博客外链这种低级 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b25Zvz.html" rel="bookmark" class="title">Sybase的安装与配置</a>
					<div>
						1．服务器端的安装 安装建立SQL Server以后,要建立放置数据库.日志和索引的逻辑磁盘设备.数据库.日志和索引的配置应注意以下原则: a.不要把任何用户对象安装在master数据库中. b.日志 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze47eAp.html" rel="bookmark" class="title">oracle order by语句用法详解</a>
					<div>
						在执行查询操作时,默认情况下会按照行数据插入的先后顺序来显示行数据,但在实际应用中经常需要对数据进行排序,以显示更直观的数据,数据排序用的就是ORDER BY子句.语法如下: SELECT &lt;* ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgK9a8M.html" rel="bookmark" class="title">J2ME循环与String优化设计</a>
					<div>
						通常我们撰写循环时,习惯让计数变量从0 开始,然后累加.但是,只要做一点小小的更改,就可以让程序跑的更快,范例程序如下: //PerfTest.java import javax.microediti ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj7BmmM.html" rel="bookmark" class="title">Excel中怎么自动编号及序号自动填充</a>
					<div>
						Excel最强大的功能就是能够对数据进行运算,这依赖于excel的成百上千的内部函数,更体现在excel的强大的VBA,这样就让越来越多的需要处理数据而又不会编程的人带来方便,对于那些简单的数字处理就 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlR8Onz.html" rel="bookmark" class="title">摄影后期怎样给照片文字设计才能显得高大上呢？</a>
					<div>
						  摄影后期怎样给照片文字设计才能显得高大上呢?分享10种后期处理文字及排版技巧设计方法 分类: PS入门教程 ps后期处理教程					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqL642b.html" rel="bookmark" class="title">ps华丽花纹制作教程</a>
					<div>
						本教程为大家介绍如何使用photoshop制作漂亮的花纹图案,本教程主要通过花纹笔刷和云彩笔刷制作,这两种笔刷可以到网上进行下载,下面就来看看具体操作吧. 具体的制作步骤如下: 步骤1 在PhotoS ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5oRnab.html" rel="bookmark" class="title">JS实现文字放大效果的方法</a>
					<div>
						 这篇文章主要介绍了JS实现文字放大效果的方法,实例分析了javascript鼠标事件控制css样式的技巧,需要的朋友可以参考下     本文实例讲述了JS实现文字放大效果的方法.分享给大家供大家参考 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0WNkJb.html" rel="bookmark" class="title">js实现鼠标感应图片展示的方法</a>
					<div>
						 这篇文章主要介绍了js实现鼠标感应图片展示的方法,实例分析了javascript鼠标事件及样式的操作技巧,具有一定参考借鉴价值,需要的朋友可以参考下     本文实例讲述了js实现鼠标感应图片展示的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg39Y8M.html" rel="bookmark" class="title">win7系统如何创建及删除宽带连接</a>
					<div>
						  不少人在换win7系统之后,对win7系统下如何创建及删除宽带连接感到有点陌生.下面小编就来详述下如何创建及删除宽带连接,让你轻松开启你的上网之旅! 一.创建宽带连接 1.右击桌面上的网络点属性, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEW9NPp.html" rel="bookmark" class="title">U盘如何安全打开</a>
					<div>
						  在你的USB上插入你的U盘.看到你的右下方有一个新添加的设备的图标的时候,就证明你的U盘已经可以打开了. 这个时候,点击我的电脑,打开之后,会看到界面中除了你的系统盘之外,还多了一个磁盘,这个就是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxWZYjb.html" rel="bookmark" class="title">应用程序崩溃，求解！！！</a>
					<div>
						问题描述 应用程序崩溃,求解!!! 具体是这样的: MetaTrader是一款可编程的交易端(在其上编写的程序称为MQL程序),terminal.exe是MetaTrader的进程,MQL程序调用dl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo7w4Vb.html" rel="bookmark" class="title">JavaScript 基础问答三&lowbar;基础知识</a>
					<div>
						9. JavaScript的注释(Comments in JavaScript) Q:我如何在JavaScript代码中插入注释? A:JavaScript支持三种不同类型的注释: 多行C样式的注释. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze7Bm8M.html" rel="bookmark" class="title">Android App增量更新详解及实例代码&lowbar;Android</a>
					<div>
						Android App增量更新实例--Smart App Updates        介绍 你所看到的,是一个用于Android应用程序增量更新的开源库. 包括客户端.服务端两部分代码. 原理 自从 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkwZRop.html" rel="bookmark" class="title">计算机 组成原理-计算机组成原理 浮点数的知识</a>
					<div>
						问题描述 计算机组成原理 浮点数的知识 想要学习这门课,可是被浮点数难倒了,哪位可以给我讲讲浮点数到底是怎么来的? 里面的阶码,尾数的是怎么运算的? 还有怎么和十进制之间转换? 解决方案 科学计数法懂 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGAWrOM.html" rel="bookmark" class="title">c&plus;&plus;-C&plus;&plus; 求大神帮忙修改段代码，信息管理系统，把原有的类拆成四个派生类</a>
					<div>
						问题描述 C++ 求大神帮忙修改段代码,信息管理系统,把原有的类拆成四个派生类 http://pan.baidu.com/s/1o69SUWq 这里面是头文件和源文件和说明 求大神帮帮忙 解决方案 链 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
									<a href="https://www.iamivan.net/a/Mydn3kb.html" class="thumbnail">
				<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxMzA3MzAyMTU1MzU5MDY/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2YjNWNVlXNW5YM0JsYm1jPS9mb250LzVhNkw1TDJUL2ZvbnRzaXplLzQwMC9maWxsL0kwSkJRa0ZDTUE9PS9kaXNzb2x2ZS83MC9ncmF2aXR5L1NvdXRoRWFzdA==.jpg">
							</a>
							<div class="info"   >
					<a href="https://www.iamivan.net/a/Mydn3kb.html" rel="bookmark" class="title">Java语言实现简单FTP软件------&amp;amp&semi;gt&semi;FTP协议分析（一）</a>
					<div>
						FTP(File Transfer Protocol)就是文件传输协议.通过FTP客户端从远程FTP服务器上拷贝文件到本地计算机称为下载,将本地计算机上的文件复制到远程FTP服务器上称为上传,上传和下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0RlL7z.html" rel="bookmark" class="title">opencv vs2013 win7配置问题</a>
					<div>
						问题描述 opencv vs2013 win7配置问题 错误 1 error LNK1104: 无法打开文件&quot;opencv_ts2410.lib&quot; E:Test1Test1LINK ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRBnjb.html" rel="bookmark" class="title">教你如何简单将OSS bucket挂载成为阿里云ECS服务器本地盘</a>
					<div>
						首先你的服务器必须是CentOS 6.5 或者Ubuntu 14.04 系统,否则不能安装和挂载!!   登入你的服务器先依赖软件安装    CentOS 6.5  yum install libcu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOJgXkp.html" rel="bookmark" class="title">matlab对excel文件的导入和处理办法</a>
					<div>
						问题描述 matlab对excel文件的导入和处理办法 怎么使用matlab对一个文件下的多个文件夹中的excel文件进行导入和各种操作? 解决方案 http://wenku.baidu.com/li ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBgaaoM.html" rel="bookmark" class="title">Java上传文件进度条的实现方法&lpar;附demo源码下载&rpar;&lowbar;java</a>
					<div>
						本文实例讲述了Java上传文件进度条的实现方法.分享给大家供大家参考,具体如下: 东西很简单,主要用到commons-fileupload,其中有一个progressListener的接口,该接口可以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV7a7nb.html" rel="bookmark" class="title">Python自动化测试工具Splinter简介和使用实例&lowbar;python</a>
					<div>
						Splinter 快速介绍 官方网站:http://splinter.cobrateam.info/ 官方介绍: Splinter is an open source tool for testing ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBkRENM.html" rel="bookmark" class="title">windows2003中IIS如何配置php图文详解</a>
					<div>
						php.ini的配置  一:把D:/software目录下 php-5.2.1-Win32.zip 拷贝到D盘根目录下 解压-重命名为:php(文件夹权限添加users权限)     二:打开D:/p ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBkPZAM.html" rel="bookmark" class="title">深入理解JQuery中的事件与动画&lowbar;jquery</a>
					<div>
						首先,使用JQuery事件与动画的效果比使用原生js来的方便得多,当然,最重要的是考虑到了浏览器的兼容性. 事件: 基于原生js,常用事件有blur,focus,hover,mouseout,mous ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQW9Brp.html" rel="bookmark" class="title">互动百科CEO潘海东：两年内海外上市</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 南都讯 记者王海艳 日前,互动百科 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6YoDOb.html" rel="bookmark" class="title">刘强东：可以装文艺但希望保持简单真实</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 赵楠 第一财经日报:你人生中最难忘 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx2L7Pz.html" rel="bookmark" class="title">C语言OJ项目参考&lpar;1923&rpar; ASCII码排序</a>
					<div>
						(1923) ASCII码排序 Description 输入三个字符后,按各字符的ASCII码从小到大的顺序输出这三个字符. Input 输入数据有多组,每组占一行,有三个字符组成,之间无空格. Ou ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
